Summary: A handy syslog file(s) manipulation/monitoring/parsing tool
Vendor: A.L.Lambert
Name: logtool
Version: 1.0
Release: 1
Copyright: GPL
Group: Applications/Text
Source: %{name}-%{version}.tar.gz
Buildroot: /var/tmp/logtool

%description
	Logtool is a handy little tool for manipulation/monitoring/parsing
of syslog (and syslog-like) files.  It produces output in ANSI, ASCII, CSV,
HTML format, and is easily configured to your needs via the /etc/logtool/* 
files.  It is suitable for use in generating easy to read logfile reports, 
webpages, and online monitoring of logfiles.

	Please see the included documentation files (which are located in 
/usr/doc/%{name}-%{version}) for more details. 

%prep
%setup  
%build
# Make sure we clean up anything I might have fscke dup and left laying around
# in the source tree.
make clean
# build the binaries
make

%install
# Until I get the hang of autoconf and friends, the stuff below is the same 
# thing as "make install" taking into account $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_ROOT/usr $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/logtool

cp -f conf/* $RPM_BUILD_ROOT/etc/logtool
cp -f logtool/logtool logtail/logtail $RPM_BUILD_ROOT/usr/bin

cd $RPM_BUILD_ROOT/usr/bin
ln -s ../../usr/bin/logtool ../../usr/bin/lt

chmod 0644 $RPM_BUILD_ROOT/etc/logtool/*
chmod 0755 $RPM_BUILD_ROOT/usr/bin/logtool

%clean
# blow away the tmpfiles
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root)
%doc README COPYING TODO INSTALL CHANGES USAGE CREDITS logtool.spec doc/*
%config(noreplace) /etc/logtool/*
/usr/bin/logtool
/usr/bin/logtail

%changelog
* Tue Dec 26 2000 A.L.Lambert <al@9b.com>
- Woohoo!  1.0 release is good to go (as far as I can tell)!
-
- Documentation is still a bit shabby, but it's better than some I've seen.
- Still some things in the TODO list that I'd like to get done Real Soon Now.
- 
- But all in all, all the features are in place, they all work flawlessly as
- far as I can tell (famous last words of a programmer :), and as they say in
- GNU land; "It works for me."
-
- Later that day:
-
- Modified the getopt.c stuff to allow for specification of an alternate 
- config file instead of being stuck with the system defaults.
- 
- Fixed a minor bug in the ansi.c module (color display thing)
-
- Updated CREDITS and a few things in doc/logtool.tx

* Mon Dec 25 2000 A.L.Lambert <al@9b.com>
- Now have a working program!  WooHoo!!
-
- I lied about not messing with it till the 27'th.
-
- I think most all of the back-end code is done (cfg file reader, getopt, etc)
- ANSI, ASCII, RAW, and CSV output modules are completed (more/less), and
- everything test's OK, even with bizare/broken input.  Probably some buffer
- overlows in here somewhere, but this program is not/will not be SUID, so I
- don't think that's too big a deal (and will never happen unless users muss 
- up the config file really badly or overdo the REGEX string files).
-
- Still TODO
-	Write the HTML <PRE>, and HTML <TABLE> output modules
-	Change the way we do REGEX's (need to compile the paterns once, not 
-		every time).
-	Documentation, Documentation, Documentation.  :(
-	Clean up the code some more so I won't be quite so embarrassed when I 
-	release this thing.  :)

* Sun Dec 24 2000 A.L.Lambert <al@9b.com>
- Came up with idea, and commenced work on getting this thing ready for 
- distribution
-	Code is about half written at this point, but should progress
-	relatively quickly (I type way too fast).
-
-	Anciliary stuff (Makefile's, .spec file, etc.) is pretty much done.
-	
-	Documentation is basically un-started (although this program ain't
-	likely to need a rocket scientist to run it).
-
-	I have to go to bed so's I can be fresh for Christmas, so no more work
-	will likely be getting done until around the 27'th.
